GNU bug report logs - #34294
27.0.50; flymake-start-on-save-buffer has no effect

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; dated Sat, 2 Feb 2019 21:33:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 19 Mar 2019 21:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 17:07:46 2019
Received: from localhost ([127.0.0.1]:50959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6LxZ-0003Sd-H6
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 17:07:46 -0400
Received: from ostrich.birch.relay.mailchannels.net ([23.83.209.138]:31106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1h6LxW-0003SK-Gi
 for 34294 <at> debbugs.gnu.org; Tue, 19 Mar 2019 17:07:44 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id B58641246F4;
 Tue, 19 Mar 2019 21:07:40 +0000 (UTC)
Received: from pdx1-sub0-mail-a70.g.dreamhost.com (unknown [100.96.35.41])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 39009125153;
 Tue, 19 Mar 2019 21:07:40 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a70.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.3); Tue, 19 Mar 2019 21:07:40 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Illustrious-Trouble: 64634cd5709977f5_1553029660468_659469364
X-MC-Loop-Signature: 1553029660468:3243367431
X-MC-Ingress-Time: 1553029660467
Received: from pdx1-sub0-mail-a70.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a70.g.dreamhost.com (Postfix) with ESMTP id C85A08063F;
 Tue, 19 Mar 2019 14:07:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=sMJYHFzZ8IKe6cDlpeh6ZWaIGGw=; b=
 UQNYrX6RF93SvXDLoXz6km/i1X9nEd89/szsDmpBOmzer0ocgsGu97k/WTSJTRwy
 8IJqvhELyI68DKCzockv0FH6zNmGpEHy61M1n8XkkVLUoyZaT2TVEj5fSvgCwkcC
 8o9DsBM4g3XpFBAl9ediUfELNpaaIs5LKaiOaAqN5Rc=
Received: from mail.jurta.org (m91-129-106-13.cust.tele2.ee [91.129.106.13])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a70.g.dreamhost.com (Postfix) with ESMTPSA id 390D480622;
 Tue, 19 Mar 2019 14:07:37 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a70
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?Jo=E3o_T=E1vora?= <joaotavora@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
 <87o97ruu06.fsf@HIDDEN> <87bm3rxjkd.fsf@HIDDEN>
 <87k1hy19ug.fsf@HIDDEN> <87d0mn3op7.fsf@HIDDEN>
 <CALDnm53FPL-YnojxrEiCFTkk9_VsbqJ=T7Ba9ZN6WD4DFR1nAg@HIDDEN>
Date: Tue, 19 Mar 2019 22:46:07 +0200
In-Reply-To: <CALDnm53FPL-YnojxrEiCFTkk9_VsbqJ=T7Ba9ZN6WD4DFR1nAg@HIDDEN>
 (=?iso-8859-1?Q?=22Jo=E3o_T=E1vora=22's?= message of "Mon, 18 Mar 2019
 21:43:05 +0000")
Message-ID: <878sxak3ew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedutddrieeggddugeekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdeirddufeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdeirddufedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehjohgrohhtrghvohhrrgesghhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

> It looks good to me.  I just have a suggestion and would like
> to see the commit msg, too.

Please see the patch with the commit msg attached.

>> > -(defcustom flymake-start-syntax-check-on-newline t
>> > +(define-obsolete-variable-alias 'flymake-start-syntax-check-on-newline
>> > +  'flymake-start-on-newline "27.1")
>> > +
>> > +(defcustom flymake-start-on-newline t
>> >    "Start syntax check if newline char was added/removed from the buffer."
>> >    :type 'boolean)
>
> I think we should change this to default to nil.
>
> I would even go as far as obsoleting the variable entirely, and
> use make-obsolete-variable instead: there's no real reason
> why newline should be given special treatment.  And users
> that need this for some obscure reason can probably plug it
> in post-self-insert-hook.

Maybe, I have no opinion about this.

> If you obsolete the variable, you can remove it from the
> manual, too.

I forgot that it was documented in the manual, so I added its
renaming in the manual to the patch too:


--=-=-=
Content-Type: text/x-diff; charset=iso-8859-1
Content-Disposition: inline;
 filename=0001-lisp-progmodes-flymake.el-Rename-flymake-start-on-ne.patch
Content-Transfer-Encoding: quoted-printable

From 910081f77a65a7758c27ee9a74f20e74596b6697 Wed Feb 17 00:00:00 2019
From: Juri Linkov <juri@HIDDEN>
Date: Wed, 17 Feb 2019 22:10:20 +0200
Subject: [PATCH] * lisp/progmodes/flymake.el: Rename flymake-start-on-new=
line.
To: 34294 <at> debbugs.gnu.org

* lisp/progmodes/flymake.el (flymake-start-on-newline): Rename from
flymake-start-syntax-check-on-newline.
(flymake-start-syntax-check-on-newline): Define obsolete alias.
(flymake-no-changes-timeout): Add customization option nil.
(Bug#34294)
---
 etc/TODO                  |  9 ---------
 lisp/progmodes/flymake.el | 35 +++++++++++++++++++----------------
 2 files changed, 19 insertions(+), 25 deletions(-)

diff --git a/etc/TODO b/etc/TODO
index ccb82cd296..dc594a007e 100644
--- a/etc/TODO
+++ b/etc/TODO
@@ -143,15 +143,6 @@ See the 'test' directory for examples.
=20
 * Small but important fixes needed in existing features:
=20
-** Flymake's customization mechanism needs to be both simpler (fewer
-levels of indirection) and better documented, so it is easier to
-understand.  I find it quite hard to figure out what compilation
-command it will use.
-
-I suggest totally rewriting that part of Flymake, using the simplest
-mechanism that suffices for the specific needs.  That will be easy
-for users to customize.
-
 ** Distribute a bar cursor of width > 1 evenly between the two glyphs
    on each side of the bar (what to do at the edges?).
=20
diff --git a/doc/misc/flymake.texi b/doc/misc/flymake.texi
index 894203ca5a..4608d1c973 100644
--- a/doc/misc/flymake.texi
+++ b/doc/misc/flymake.texi
@@ -89,7 +89,7 @@ Using Flymake
=20
 @item
 a newline character is added to the buffer, unless
-@code{flymake-start-syntax-check-on-newline} is nil;
+@code{flymake-start-on-newline} is nil;
=20
 @item
 some changes were made to the buffer more than @code{0.5} seconds ago
@@ -222,7 +222,7 @@ Customizable variables
 started after this many seconds, unless the user makes another change,
 which resets the timer.
=20
-@item flymake-start-syntax-check-on-newline
+@item flymake-start-on-newline
 A boolean flag indicating whether to start syntax check immediately
 after a newline character is inserted into the buffer.
=20
diff --git a/lisp/progmodes/flymake.el b/lisp/progmodes/flymake.el
index 261e50a613..ddf12328da 100644
--- a/lisp/progmodes/flymake.el
+++ b/lisp/progmodes/flymake.el
@@ -4,7 +4,7 @@
=20
 ;; Author:  Pavel Kobyakov <pk_at_work@HIDDEN>
 ;; Maintainer: Jo=E3o T=E1vora <joaotavora@HIDDEN>
-;; Version: 1.0.5
+;; Version: 1.0.6
 ;; Package-Requires: ((emacs "26.1"))
 ;; Keywords: c languages tools
=20
@@ -38,10 +38,9 @@
 ;; The main interactive entry point is the `flymake-mode' minor mode,
 ;; which periodically and automatically initiates checks as the user
 ;; is editing the buffer.  The variables `flymake-no-changes-timeout',
-;; `flymake-start-syntax-check-on-newline' and
-;; `flymake-start-on-flymake-mode' give finer control over the events
-;; triggering a check, as does the interactive command
-;; `flymake-start', which immediately starts a check.
+;; `flymake-start-on-newline' and `flymake-start-on-flymake-mode'
+;; give finer control over the events triggering a check, as does the
+;; interactive command `flymake-start', which immediately starts a check=
.
 ;;
 ;; Shortly after each check, a summary of collected diagnostics should
 ;; appear in the mode-line.  If it doesn't, there might not be a
@@ -178,14 +177,19 @@ flymake-fringe-indicator-position
 		 (const right-fringe)
 		 (const :tag "No fringe indicators" nil)))
=20
-(defcustom flymake-start-syntax-check-on-newline t
+(define-obsolete-variable-alias 'flymake-start-syntax-check-on-newline
+  'flymake-start-on-newline "27.1")
+
+(defcustom flymake-start-on-newline t
   "Start syntax check if newline char was added/removed from the buffer.=
"
   :type 'boolean)
=20
 (defcustom flymake-no-changes-timeout 0.5
   "Time to wait after last change before automatically checking buffer.
-If nil, never start checking buffer automatically like this."
-  :type 'number)
+If nil, never start checking buffer automatically like this.
+You may also want to disable `flymake-start-on-newline'."
+  :type '(choice (number :tag "Timeout in seconds")
+                 (const :tag "No check on timeout" nil)))
=20
 (defcustom flymake-gui-warnings-enabled t
   "Enables/disables GUI warnings."
@@ -203,7 +207,7 @@ flymake-start-on-flymake-mode
   :type 'boolean)
=20
 (defcustom flymake-start-on-save-buffer t
-  "If non-nil start syntax check when a buffer is saved.
+  "If non-nil, start syntax check when a buffer is saved.
 Specifically, start it when the saved buffer is actually displayed."
   :version "27.1"
   :type 'boolean)
@@ -939,12 +943,11 @@ flymake-mode
 called backends, and visually annotates the buffer with the
 results.
=20
-Flymake performs these checks while the user is editing.  The
-customization variables `flymake-start-on-flymake-mode',
-`flymake-no-changes-timeout' and
-`flymake-start-syntax-check-on-newline' determine the exact
-circumstances whereupon Flymake decides to initiate a check of
-the buffer.
+Flymake performs these checks while the user is editing.
+The customization variables `flymake-start-on-flymake-mode',
+`flymake-no-changes-timeout' and `flymake-start-on-newline'
+determine the exact circumstances whereupon Flymake decides
+to initiate a check of the buffer.
=20
 The commands `flymake-goto-next-error' and
 `flymake-goto-prev-error' can be used to navigate among Flymake
@@ -1036,7 +1039,7 @@ flymake-after-change-function
 START and STOP and LEN are as in `after-change-functions'."
   (let((new-text (buffer-substring start stop)))
     (push (list start stop new-text) flymake--recent-changes)
-    (when (and flymake-start-syntax-check-on-newline (equal new-text "\n=
"))
+    (when (and flymake-start-on-newline (equal new-text "\n"))
       (flymake-log :debug "starting syntax check as new-line has been se=
en")
       (flymake-start t))
     (flymake--schedule-timer-maybe)))
--=20
2.17.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 18 Mar 2019 21:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 18 17:43:25 2019
Received: from localhost ([127.0.0.1]:49296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h602X-000749-En
	for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:43:25 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:45735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1h602V-00073s-4n
 for 34294 <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:43:23 -0400
Received: by mail-qt1-f172.google.com with SMTP id v20so19835517qtv.12
 for <34294 <at> debbugs.gnu.org>; Mon, 18 Mar 2019 14:43:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=9KK/lxmM7Yznle4puMhvxwXPxWH2LHFbf3scdD+uD8Q=;
 b=QwSx91eZdN8YbXqkgjyQCdmnMOoCVjnOuu8RYFQIIyHDMS8QA/Rneavzzm/bTTh1WG
 tHVRjPjG0sFVT4V3cPF28cO8sN32yA6hNOJ+SZA/zABqpz7Oj3RFNwzPdVpr0cdOCrgB
 Bs4JS9DlkIHTZVTr7piIS73b55IJ68ZuRW8NM6/kF+XDSckVVomR6qKZPAd1QaZfDSLa
 NI9rSf0BKb/qKVn527qgnYfL7A7lEBMe374bIUY15J5LuD4r7tjkjqG4y2Wwz6jlbSFD
 Gik5I1J00kZEc1YKPUwIVKl9r2yo5TY8fWrzfQxATAkfbVXnbcWdk72AVyM2S+RJ340l
 g7Jw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=9KK/lxmM7Yznle4puMhvxwXPxWH2LHFbf3scdD+uD8Q=;
 b=Qt6eCCV+hh+6460v+mFElYI5DqFtXPL8Efn3o5eyOR9K1tO9gcsjq0GK479YH2vl3G
 9M9yaFxT8BEsc3hg4mg+HtmF+X+6qYHBI1/XqMHxRarnZC0iI+YLglPMuBNs0YWWDPXt
 CfW6B3ifJ7qSyR9/SExFYmnYeuPkDiITApe9vNfqWOFCUn1nYPKjnu9D438Rr2/QkUpN
 gqstdhiyEDKjtvWCF+LZZk7JmjIBOY+kBg5C4+m+WtPufvwxvRbZcUL3fUpkqNhoxcCP
 F4RG5GM7wre02/4RFSLMTzLy3JEDo80oBtPWgmCw1GBimfh+pDfMDoDBCbb4aobXS6q/
 1wZw==
X-Gm-Message-State: APjAAAVE5FXALUcPZPd+x/1N7gwKCNSxIN8Jsrw4mhESfJwPjfU1rJDS
 /frAa9iPxq11fZheDCPKMvUQLHJ/CeaU7ENJKrU=
X-Google-Smtp-Source: APXvYqxP4szOWhwz8TwwScUBFUKPzQbFqbkscU7+FubNkEOcmIFxR6j940CNDuEwg9+PhO4j334V7cJ7Ah+ZA78XBPU=
X-Received: by 2002:a0c:d401:: with SMTP id t1mr14341336qvh.38.1552945397408; 
 Mon, 18 Mar 2019 14:43:17 -0700 (PDT)
MIME-Version: 1.0
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
 <87o97ruu06.fsf@HIDDEN> <87bm3rxjkd.fsf@HIDDEN>
 <87k1hy19ug.fsf@HIDDEN> <87d0mn3op7.fsf@HIDDEN>
In-Reply-To: <87d0mn3op7.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Mon, 18 Mar 2019 21:43:05 +0000
Message-ID: <CALDnm53FPL-YnojxrEiCFTkk9_VsbqJ=T7Ba9ZN6WD4DFR1nAg@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Mon, Mar 18, 2019 at 9:23 PM Juri Linkov <juri@HIDDEN> wrote:
> Jo=C3=A3o, if you are not very busy atm, could you please look at this pa=
tch.

It looks good to me.  I just have a suggestion and would like
to see the commit msg, too.

> > -(defcustom flymake-start-syntax-check-on-newline t
> > +(define-obsolete-variable-alias 'flymake-start-syntax-check-on-newline
> > +  'flymake-start-on-newline "27.1")
> > +
> > +(defcustom flymake-start-on-newline t
> >    "Start syntax check if newline char was added/removed from the buffe=
r."
> >    :type 'boolean)

I think we should change this to default to nil.

I would even go as far as obsoleting the variable entirely, and
use make-obsolete-variable instead: there's no real reason
why newline should be given special treatment.  And users
that need this for some obscure reason can probably plug it
in post-self-insert-hook.

If you obsolete the variable, you can remove it from the
manual, too.


--=20
Jo=C3=A3o T=C3=A1vora




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 18 Mar 2019 21:23:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 18 17:23:46 2019
Received: from localhost ([127.0.0.1]:49261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h5zjW-0006WX-Ei
	for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:23:46 -0400
Received: from golden.birch.relay.mailchannels.net ([23.83.209.73]:39974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1h5zjT-0006WN-HV
 for 34294 <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:23:44 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 854E76A1055;
 Mon, 18 Mar 2019 21:23:42 +0000 (UTC)
Received: from pdx1-sub0-mail-a72.g.dreamhost.com
 (100-96-7-25.trex.outbound.svc.cluster.local [100.96.7.25])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3FD916A1AAD;
 Mon, 18 Mar 2019 21:23:42 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a72.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.3); Mon, 18 Mar 2019 21:23:42 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Exultant-Towering: 6a298d1f460e1f7f_1552944222390_2065319530
X-MC-Loop-Signature: 1552944222390:3600488652
X-MC-Ingress-Time: 1552944222389
Received: from pdx1-sub0-mail-a72.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a72.g.dreamhost.com (Postfix) with ESMTP id 149008068E;
 Mon, 18 Mar 2019 14:23:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=5ReU3I
 4NILQ7ZUw5euAUyOhX+Nw=; b=HIsyudbQvNgWATDVi8MvWSgHBczJxc0QkUN/en
 zS4uCuvQkFnWPos6OgXtggySPimMtUHb4w4zud/aUQ1Dd3eLuPqmkPMAPopUaUtB
 uy+59p21tDsfLE9UqHB3XfboONdN5Fl9s2dDKsOf/IwlQO20gilDVINToPBnvEFp
 q+WLM=
Received: from mail.jurta.org (m91-129-106-13.cust.tele2.ee [91.129.106.13])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a72.g.dreamhost.com (Postfix) with ESMTPSA id 91499806A7;
 Mon, 18 Mar 2019 14:23:36 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a72
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?Jo=E3o_T=E1vora?= <joaotavora@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
 <87o97ruu06.fsf@HIDDEN> <87bm3rxjkd.fsf@HIDDEN>
 <87k1hy19ug.fsf@HIDDEN>
Date: Mon, 18 Mar 2019 23:10:04 +0200
In-Reply-To: <87k1hy19ug.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 17 Feb 2019 22:11:27 +0200")
Message-ID: <87d0mn3op7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedutddriedugdduhedtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgfgsehtkeertddtredunecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtiedrudefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtiedrudefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepjhhorghothgrvhhorhgrsehgmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=E3o, if you are not very busy atm, could you please look at this patch=
.

> Everything is done in the following patch that doesn't break old versio=
ns:
>
> diff --git a/etc/TODO b/etc/TODO
> index ccb82cd296..dc594a007e 100644
> --- a/etc/TODO
> +++ b/etc/TODO
> @@ -143,15 +143,6 @@ See the 'test' directory for examples.
> =20
>  * Small but important fixes needed in existing features:
> =20
> -** Flymake's customization mechanism needs to be both simpler (fewer
> -levels of indirection) and better documented, so it is easier to
> -understand.  I find it quite hard to figure out what compilation
> -command it will use.
> -
> -I suggest totally rewriting that part of Flymake, using the simplest
> -mechanism that suffices for the specific needs.  That will be easy
> -for users to customize.
> -
>  ** Distribute a bar cursor of width > 1 evenly between the two glyphs
>     on each side of the bar (what to do at the edges?).
> =20
> diff --git a/lisp/progmodes/flymake.el b/lisp/progmodes/flymake.el
> index 261e50a613..ddf12328da 100644
> --- a/lisp/progmodes/flymake.el
> +++ b/lisp/progmodes/flymake.el
> @@ -4,7 +4,7 @@
> =20
>  ;; Author:  Pavel Kobyakov <pk_at_work@HIDDEN>
>  ;; Maintainer: Jo=E3o T=E1vora <joaotavora@HIDDEN>
> -;; Version: 1.0.5
> +;; Version: 1.0.6
>  ;; Package-Requires: ((emacs "26.1"))
>  ;; Keywords: c languages tools
> =20
> @@ -38,10 +38,9 @@
>  ;; The main interactive entry point is the `flymake-mode' minor mode,
>  ;; which periodically and automatically initiates checks as the user
>  ;; is editing the buffer.  The variables `flymake-no-changes-timeout',
> -;; `flymake-start-syntax-check-on-newline' and
> -;; `flymake-start-on-flymake-mode' give finer control over the events
> -;; triggering a check, as does the interactive command
> -;; `flymake-start', which immediately starts a check.
> +;; `flymake-start-on-newline' and `flymake-start-on-flymake-mode'
> +;; give finer control over the events triggering a check, as does the
> +;; interactive command `flymake-start', which immediately starts a che=
ck.
>  ;;
>  ;; Shortly after each check, a summary of collected diagnostics should
>  ;; appear in the mode-line.  If it doesn't, there might not be a
> @@ -178,14 +177,19 @@ flymake-fringe-indicator-position
>  		 (const right-fringe)
>  		 (const :tag "No fringe indicators" nil)))
> =20
> -(defcustom flymake-start-syntax-check-on-newline t
> +(define-obsolete-variable-alias 'flymake-start-syntax-check-on-newline
> +  'flymake-start-on-newline "27.1")
> +
> +(defcustom flymake-start-on-newline t
>    "Start syntax check if newline char was added/removed from the buffe=
r."
>    :type 'boolean)
> =20
>  (defcustom flymake-no-changes-timeout 0.5
>    "Time to wait after last change before automatically checking buffer=
.
> -If nil, never start checking buffer automatically like this."
> -  :type 'number)
> +If nil, never start checking buffer automatically like this.
> +You may also want to disable `flymake-start-on-newline'."
> +  :type '(choice (number :tag "Timeout in seconds")
> +                 (const :tag "No check on timeout" nil)))
> =20
>  (defcustom flymake-gui-warnings-enabled t
>    "Enables/disables GUI warnings."
> @@ -203,7 +207,7 @@ flymake-start-on-flymake-mode
>    :type 'boolean)
> =20
>  (defcustom flymake-start-on-save-buffer t
> -  "If non-nil start syntax check when a buffer is saved.
> +  "If non-nil, start syntax check when a buffer is saved.
>  Specifically, start it when the saved buffer is actually displayed."
>    :version "27.1"
>    :type 'boolean)
> @@ -939,12 +943,11 @@ flymake-mode
>  called backends, and visually annotates the buffer with the
>  results.
> =20
> -Flymake performs these checks while the user is editing.  The
> -customization variables `flymake-start-on-flymake-mode',
> -`flymake-no-changes-timeout' and
> -`flymake-start-syntax-check-on-newline' determine the exact
> -circumstances whereupon Flymake decides to initiate a check of
> -the buffer.
> +Flymake performs these checks while the user is editing.
> +The customization variables `flymake-start-on-flymake-mode',
> +`flymake-no-changes-timeout' and `flymake-start-on-newline'
> +determine the exact circumstances whereupon Flymake decides
> +to initiate a check of the buffer.
> =20
>  The commands `flymake-goto-next-error' and
>  `flymake-goto-prev-error' can be used to navigate among Flymake
> @@ -1036,7 +1039,7 @@ flymake-after-change-function
>  START and STOP and LEN are as in `after-change-functions'."
>    (let((new-text (buffer-substring start stop)))
>      (push (list start stop new-text) flymake--recent-changes)
> -    (when (and flymake-start-syntax-check-on-newline (equal new-text "=
\n"))
> +    (when (and flymake-start-on-newline (equal new-text "\n"))
>        (flymake-log :debug "starting syntax check as new-line has been =
seen")
>        (flymake-start t))
>      (flymake--schedule-timer-maybe)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 17 Feb 2019 21:09:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 17 16:09:00 2019
Received: from localhost ([127.0.0.1]:51781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvTgJ-0001I7-Kx
	for submit <at> debbugs.gnu.org; Sun, 17 Feb 2019 16:09:00 -0500
Received: from golden.birch.relay.mailchannels.net ([23.83.209.73]:14139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gvTgG-0001Hq-Kf
 for 34294 <at> debbugs.gnu.org; Sun, 17 Feb 2019 16:08:57 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 652215C4116;
 Sun, 17 Feb 2019 21:08:55 +0000 (UTC)
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (unknown [100.96.33.121])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 1379F5C2F59;
 Sun, 17 Feb 2019 21:08:55 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Sun, 17 Feb 2019 21:08:55 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Reign-Plucky: 279a087d7c71bb9a_1550437735241_3069658725
X-MC-Loop-Signature: 1550437735241:3152423129
X-MC-Ingress-Time: 1550437735241
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTP id AD4608211F;
 Sun, 17 Feb 2019 13:08:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=vDWjINpSH73CEYJ3xvQPXFQO6Hk=; b=
 eSNZb5tc9ilBLmrcLJ+tAH3Wjm8SRMVq63WlU8pok3RxSffloPlrcPEkuBU7WvL7
 ILmYY1BIzhrsMU7wsop1+cN3GXjqg2B2OWU+YppKic9ldHn5d7GiE4JpqOD3J4g/
 9d62yv76CYoTLx77BxS8gxwOpqQ6n3e1lMjKX97/jgE=
Received: from mail.jurta.org (m91-129-107-100.cust.tele2.ee [91.129.107.100])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTPSA id 642328211A;
 Sun, 17 Feb 2019 13:08:50 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a11
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?Jo=E3o_T=E1vora?= <joaotavora@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
 <87o97ruu06.fsf@HIDDEN> <87bm3rxjkd.fsf@HIDDEN>
Date: Sun, 17 Feb 2019 22:11:27 +0200
In-Reply-To: <87bm3rxjkd.fsf@HIDDEN> (=?iso-8859-1?Q?=22Jo=E3o_T=E1vora?=
 =?iso-8859-1?Q?=22's?= message of "Mon, 04
 Feb 2019 22:41:54 +0000")
Message-ID: <87k1hy19ug.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtledrudduuddgudegiecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehmtderredtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtjedruddttdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdejrddutddtpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepjhhorghothgrvhhorhgrsehgmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

> Whatever you do to flymake.el, and I forgot to mention this earlier, you
> have to make sure it still loads and works in Emacs 26.1, because
> flymake.el is also distributed through ELPA.

Everything is done in the following patch that doesn't break old versions:


--=-=-=
Content-Type: text/x-diff; charset=iso-8859-1
Content-Disposition: inline; filename=flymake.el.patch
Content-Transfer-Encoding: quoted-printable

diff --git a/etc/TODO b/etc/TODO
index ccb82cd296..dc594a007e 100644
--- a/etc/TODO
+++ b/etc/TODO
@@ -143,15 +143,6 @@ See the 'test' directory for examples.
=20
 * Small but important fixes needed in existing features:
=20
-** Flymake's customization mechanism needs to be both simpler (fewer
-levels of indirection) and better documented, so it is easier to
-understand.  I find it quite hard to figure out what compilation
-command it will use.
-
-I suggest totally rewriting that part of Flymake, using the simplest
-mechanism that suffices for the specific needs.  That will be easy
-for users to customize.
-
 ** Distribute a bar cursor of width > 1 evenly between the two glyphs
    on each side of the bar (what to do at the edges?).
=20
diff --git a/lisp/progmodes/flymake.el b/lisp/progmodes/flymake.el
index 261e50a613..ddf12328da 100644
--- a/lisp/progmodes/flymake.el
+++ b/lisp/progmodes/flymake.el
@@ -4,7 +4,7 @@
=20
 ;; Author:  Pavel Kobyakov <pk_at_work@HIDDEN>
 ;; Maintainer: Jo=E3o T=E1vora <joaotavora@HIDDEN>
-;; Version: 1.0.5
+;; Version: 1.0.6
 ;; Package-Requires: ((emacs "26.1"))
 ;; Keywords: c languages tools
=20
@@ -38,10 +38,9 @@
 ;; The main interactive entry point is the `flymake-mode' minor mode,
 ;; which periodically and automatically initiates checks as the user
 ;; is editing the buffer.  The variables `flymake-no-changes-timeout',
-;; `flymake-start-syntax-check-on-newline' and
-;; `flymake-start-on-flymake-mode' give finer control over the events
-;; triggering a check, as does the interactive command
-;; `flymake-start', which immediately starts a check.
+;; `flymake-start-on-newline' and `flymake-start-on-flymake-mode'
+;; give finer control over the events triggering a check, as does the
+;; interactive command `flymake-start', which immediately starts a check=
.
 ;;
 ;; Shortly after each check, a summary of collected diagnostics should
 ;; appear in the mode-line.  If it doesn't, there might not be a
@@ -178,14 +177,19 @@ flymake-fringe-indicator-position
 		 (const right-fringe)
 		 (const :tag "No fringe indicators" nil)))
=20
-(defcustom flymake-start-syntax-check-on-newline t
+(define-obsolete-variable-alias 'flymake-start-syntax-check-on-newline
+  'flymake-start-on-newline "27.1")
+
+(defcustom flymake-start-on-newline t
   "Start syntax check if newline char was added/removed from the buffer.=
"
   :type 'boolean)
=20
 (defcustom flymake-no-changes-timeout 0.5
   "Time to wait after last change before automatically checking buffer.
-If nil, never start checking buffer automatically like this."
-  :type 'number)
+If nil, never start checking buffer automatically like this.
+You may also want to disable `flymake-start-on-newline'."
+  :type '(choice (number :tag "Timeout in seconds")
+                 (const :tag "No check on timeout" nil)))
=20
 (defcustom flymake-gui-warnings-enabled t
   "Enables/disables GUI warnings."
@@ -203,7 +207,7 @@ flymake-start-on-flymake-mode
   :type 'boolean)
=20
 (defcustom flymake-start-on-save-buffer t
-  "If non-nil start syntax check when a buffer is saved.
+  "If non-nil, start syntax check when a buffer is saved.
 Specifically, start it when the saved buffer is actually displayed."
   :version "27.1"
   :type 'boolean)
@@ -939,12 +943,11 @@ flymake-mode
 called backends, and visually annotates the buffer with the
 results.
=20
-Flymake performs these checks while the user is editing.  The
-customization variables `flymake-start-on-flymake-mode',
-`flymake-no-changes-timeout' and
-`flymake-start-syntax-check-on-newline' determine the exact
-circumstances whereupon Flymake decides to initiate a check of
-the buffer.
+Flymake performs these checks while the user is editing.
+The customization variables `flymake-start-on-flymake-mode',
+`flymake-no-changes-timeout' and `flymake-start-on-newline'
+determine the exact circumstances whereupon Flymake decides
+to initiate a check of the buffer.
=20
 The commands `flymake-goto-next-error' and
 `flymake-goto-prev-error' can be used to navigate among Flymake
@@ -1036,7 +1039,7 @@ flymake-after-change-function
 START and STOP and LEN are as in `after-change-functions'."
   (let((new-text (buffer-substring start stop)))
     (push (list start stop new-text) flymake--recent-changes)
-    (when (and flymake-start-syntax-check-on-newline (equal new-text "\n=
"))
+    (when (and flymake-start-on-newline (equal new-text "\n"))
       (flymake-log :debug "starting syntax check as new-line has been se=
en")
       (flymake-start t))
     (flymake--schedule-timer-maybe)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 4 Feb 2019 22:42:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 17:42:05 2019
Received: from localhost ([127.0.0.1]:59839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqmwH-0002LT-1L
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 17:42:05 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:39515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1gqmwF-0002Kz-NO
 for 34294 <at> debbugs.gnu.org; Mon, 04 Feb 2019 17:42:04 -0500
Received: by mail-wr1-f54.google.com with SMTP id t27so1662404wra.6
 for <34294 <at> debbugs.gnu.org>; Mon, 04 Feb 2019 14:42:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=CCxFoMdPnsIOWxTxoYDHG8d/++QAgFAS/DgqFvRIzoI=;
 b=UwgDmIm9Lk7fY8qmg8adiBkJyq+D3F4LVY0YM6IjsOzp5uzHup57zMQuXwGkf1jPsM
 SvQGfMPCqgsXqalsT6PxIxNcrMUwdjsRvy2o87mWu7B0rB0YJ9k4YRNddn62kGY+QQRD
 xe276jlXFWnthn/NbSmIIZdVYBzLW8AyQUF84GcuT+0oc/pLQXIV2Q+xrHjBbC/Onn9d
 CP8hQ/XCnINyzELBPcvneWW11R2iXZpR+IaOeipGGqkYLQoB8579sBW6AgJRHT51VHw5
 K1xhMfD2NnBn1g/4n/oFLvDr0gzWn58RXRESNqhrSEKrTXmK9RZ3fAdRo81CJfnSLOd8
 9z7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=CCxFoMdPnsIOWxTxoYDHG8d/++QAgFAS/DgqFvRIzoI=;
 b=k3hMc2VimJ0BZXxrIvtu2eTxTt9dWIjYU2lqGOqX/4USrmUQA36TnTGfAhVPfkJx9F
 Qj4/z7RVpyaw4LNqO2LHSgjQrj0m/iHuUrtLsjuGp2HLloF3Q9TQZdhpqZRmNInf6p24
 nei1DloJpVu6o0WOCjAy57qB8HuE8lY4s5n3Z3hGGGsuvbTwwMqIati9NRnghBJIwAFQ
 9g1AaZM3TxD3YJaocBO450pptAq4WsTI5eV8AtPPc1en83OlsohCnfVOXjg9wk7TkejC
 DPM93H6SDMAunqTgRBtzW/56uC7CjPXHIoDaY9QMDntVRmjjg99j992bu5+S7HQpWl5y
 stlQ==
X-Gm-Message-State: AHQUAubvfIcpeCw36rEDA7CTvijJ11g2qxFbhD4b1sF87bT/YWdfcp2t
 atDJXL4dmCu86sVeXWT7od3k8k39
X-Google-Smtp-Source: AHgI3IZE7P4asL+no2uWLhtYrj5ua4B4FJgHiX/SSxJXNNzjUHtXCa/5IPQpvc/TkBJaBd8SKiLjXg==
X-Received: by 2002:adf:c612:: with SMTP id n18mr1184184wrg.174.1549320117422; 
 Mon, 04 Feb 2019 14:41:57 -0800 (PST)
Received: from lolita.yourcompany.com (188.139.62.94.rev.vodafone.pt.
 [94.62.139.188])
 by smtp.gmail.com with ESMTPSA id s132sm9661134wmf.28.2019.02.04.14.41.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 04 Feb 2019 14:41:56 -0800 (PST)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
 <87o97ruu06.fsf@HIDDEN>
Date: Mon, 04 Feb 2019 22:41:54 +0000
In-Reply-To: <87o97ruu06.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 04 Feb 2019 23:24:41 +0200")
Message-ID: <87bm3rxjkd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Juri Linkov <juri@HIDDEN> writes:

>>> 4. Also I found these related entries in the same etc/TODO file:
>>>
>>>   ** Display something in the margin on lines that have compilation
>>>   errors.
>>
>> Flymake does this, even though it uses the fringe by default, but I
>> don't have more clues to what the author of this line intended.
>
> I guess this is exactly what Flymake already does.

Then maybe remove it in a fourth patch?

>>> What do you think about displaying a tooltip on the fringe indicator
>>> with the same text that is displayed on the tooltip over the location
>>> of the error in the source buffer?  It's easier to hover on the fringe
>>> than finding the location in the buffer to hover.
>>
>> I don't have any strong opinion. It's fine, I guess, but not
>> specifically tied to Flymake.  It may be difficult to implement.
>
> Yes, this is a more general feature.  I could look at how easy it
> would be to implement, and later to use in Flymake.

Fine by me.  I would personally concentrate efforts elsewhere, but you
get to work whereever you prefer.

>> BTW you can use flymake-goto-next-error and flymake-goto-prev-error to
>> navigate between errors, it's what I use all the time.
>
> Thanks for the suggestion.  I could also look how easy to integrate
> flymake-goto-next-error into the more general next-error framework that
> provides easy to type keybindings.

This would be quite welcome, especially since I think there are
revent improvements to the next-error framework.

Whatever you do to flymake.el, and I forgot to mention this earlier, you
have to make sure it still loads and works in Emacs 26.1, because
flymake.el is also distributed through ELPA.

Fifth patch.

>> So to summarize, it'd be great if you could provide the three patches to
>> implement the suggestions you gave.
>
> OK, I'll provide these three patches.  But first please look at my feedba=
ck
> on your suggestion to set flymake-no-changes-timeout to nil: after trying=
 it,
> I see that it helps me, but also it requires setting
> flymake-start-syntax-check-on-newline to nil, because otherwise
> syntax check is started on an unsaved buffer when yanking text
> that contains newlines.

I think flymake-start-syntax-check-on-newline should just be deprecated,
set to nil, and hidden away from the user.  It doesn't make much sense:
I don't see why a newline is different from any other character.  So you
can do this in a sixth patch.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 4 Feb 2019 21:55:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 16:55:34 2019
Received: from localhost ([127.0.0.1]:59783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqmDG-00012o-3A
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 16:55:34 -0500
Received: from insect.birch.relay.mailchannels.net ([23.83.209.93]:42352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gqmDD-00012d-RU
 for 34294 <at> debbugs.gnu.org; Mon, 04 Feb 2019 16:55:33 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 115A012246E;
 Mon,  4 Feb 2019 21:55:30 +0000 (UTC)
Received: from pdx1-sub0-mail-a25.g.dreamhost.com (unknown [100.96.35.77])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id AE87A120971;
 Mon,  4 Feb 2019 21:55:29 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a25.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Mon, 04 Feb 2019 21:55:30 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Reign-Bottle: 3d85bdce7b358636_1549317329866_331488137
X-MC-Loop-Signature: 1549317329866:1946370768
X-MC-Ingress-Time: 1549317329866
Received: from pdx1-sub0-mail-a25.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a25.g.dreamhost.com (Postfix) with ESMTP id 577377FEF5;
 Mon,  4 Feb 2019 13:55:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=FuruNiW6pObs8pePAzn2GcqjOrU=; b=
 RmJSjSWMr9ifNIPq87J22CuFED1gp+Xi60YWgmX57yJd19TPlpvd20i9TUObdprz
 C38/CC5Vej8it70dW27bT/SzE9v8UrHZgyEONb/JMbf2oZ7K8dVvxWZbxAmU5HQ0
 zVg28g3K66SWkAtelz2HkleeRVYJwZnn4ozWTiD6rWw=
Received: from mail.jurta.org (m91-129-111-71.cust.tele2.ee [91.129.111.71])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a25.g.dreamhost.com (Postfix) with ESMTPSA id 175E77FEE2;
 Mon,  4 Feb 2019 13:55:27 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a25
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?Jo=E3o_T=E1vora?= <joaotavora@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN> <87y36w8qvy.fsf@HIDDEN>
Date: Mon, 04 Feb 2019 23:24:41 +0200
In-Reply-To: <87y36w8qvy.fsf@HIDDEN> (=?iso-8859-1?Q?=22Jo=E3o_T=E1vora?=
 =?iso-8859-1?Q?=22's?= message of "Sun, 03
 Feb 2019 22:10:41 +0000")
Message-ID: <87o97ruu06.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtledrkeeggdduheeiucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdduuddurdejudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrdduuddurdejuddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehjohgrohhtrghvohhrrgesghhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> 4. Also I found these related entries in the same etc/TODO file:
>>
>>   ** Display something in the margin on lines that have compilation
>>   errors.
>
> Flymake does this, even though it uses the fringe by default, but I
> don't have more clues to what the author of this line intended.

I guess this is exactly what Flymake already does.

>> What do you think about displaying a tooltip on the fringe indicator
>> with the same text that is displayed on the tooltip over the location
>> of the error in the source buffer?  It's easier to hover on the fringe
>> than finding the location in the buffer to hover.
>
> I don't have any strong opinion. It's fine, I guess, but not
> specifically tied to Flymake.  It may be difficult to implement.

Yes, this is a more general feature.  I could look at how easy it
would be to implement, and later to use in Flymake.

> BTW you can use flymake-goto-next-error and flymake-goto-prev-error to
> navigate between errors, it's what I use all the time.

Thanks for the suggestion.  I could also look how easy to integrate
flymake-goto-next-error into the more general next-error framework that
provides easy to type keybindings.

> So to summarize, it'd be great if you could provide the three patches to
> implement the suggestions you gave.

OK, I'll provide these three patches.  But first please look at my feedback
on your suggestion to set flymake-no-changes-timeout to nil: after trying it,
I see that it helps me, but also it requires setting
flymake-start-syntax-check-on-newline to nil, because otherwise
syntax check is started on an unsaved buffer when yanking text
that contains newlines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 3 Feb 2019 22:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 03 17:10:52 2019
Received: from localhost ([127.0.0.1]:57837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqPyV-0006EZ-S1
	for submit <at> debbugs.gnu.org; Sun, 03 Feb 2019 17:10:52 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:33381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1gqPyU-0006EH-BD
 for 34294 <at> debbugs.gnu.org; Sun, 03 Feb 2019 17:10:51 -0500
Received: by mail-wr1-f45.google.com with SMTP id a16so6926829wrv.0
 for <34294 <at> debbugs.gnu.org>; Sun, 03 Feb 2019 14:10:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=7JmdzhQaEtBly5kb8OHsfoF/l5ufWu0I+VNCDwgbW3Q=;
 b=kNH/+vS3ZQIJAJvhBSchbzeA/UaEJGVODpiJ2CO8n6fNTmZGU3vPSC2fcB5zLj6lY/
 4gfR706PetxMa3sNuLDmRGhuLwFLREgaO3IPbbRsbZvzEc/2KOH4MSb/ybKrMjeQJZu9
 BmHzakNY8Y6sOatya/zeOtCYp8Wx4RWckFaN7JTnvs1gimSLs8M0Acdpgl1TtvLtcc9G
 Jxk69l4s9ShipHBZ80tSeo7MrX0m/dSawrQiW7uTUIGu7MaKhprofzb0tPNNQRMEeYfl
 OTfzkwpMFQ+x4H1oEVOmu52miLKP/H2z075qo1wJKUFsm9iS7MbPCi0qZWOfTEWoNwaQ
 K0DQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=7JmdzhQaEtBly5kb8OHsfoF/l5ufWu0I+VNCDwgbW3Q=;
 b=kS353UwGjHAsqSVSpl3gDcYNyzoDAvEuHn/zKXBsmUOnQOpqcAB4L3wvfcVyXWO67Q
 9tzonDnmNErx5Q+z90CpvHwelh+9oS/ys1kg2De/W5Ii0OhV1v4pNpZzeR+MCem8NBCc
 8Z7O5BFNyXxapO09aug3ISmCu0YyrXHiwmBM/ELtx+ebr25EMvkAGhUG3ILInTLXUKBz
 vdrlGx4N8IRTQAsZHZ8wu5iA1ZlHYmj6/vNnlhHEBFZPG7/CBSKtQiyi4CNKZbX+ijWB
 /TdqPHkay01i3CNmIG9wlbjBKYhinBR8b3PJWCQLdVOvbhBiaPEzimcSzzY6q2YaTj23
 NaTg==
X-Gm-Message-State: AJcUukekfSPq2HlaboLqIX2IvG0wLOnDZnuVEF2H5hntEM1Mt7inOvg8
 j9mpCxhBRD9WkrGTKnHz3TrJO3qi
X-Google-Smtp-Source: ALg8bN6/rn3dcwY9v1a+aUpm3F2tD7u6tFrhiGUG+xUu8jD2lXbrBd6gW+h0pglRwzkBn+Os8LdEzg==
X-Received: by 2002:adf:c711:: with SMTP id k17mr45427301wrg.197.1549231843802; 
 Sun, 03 Feb 2019 14:10:43 -0800 (PST)
Received: from lolita.yourcompany.com (188.139.62.94.rev.vodafone.pt.
 [94.62.139.188])
 by smtp.gmail.com with ESMTPSA id e9sm15060868wro.16.2019.02.03.14.10.42
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 03 Feb 2019 14:10:43 -0800 (PST)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
In-Reply-To: <87h8dkk3ho.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 03 Feb 2019 22:42:59 +0200")
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 <87h8dkk3ho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Sun, 03 Feb 2019 22:10:41 +0000
Message-ID: <87y36w8qvy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Juri Linkov <juri@HIDDEN> writes:

>>> I have flymake-start-on-save-buffer customized to 't' to check syntax
>>> only when a buffer is saved, but it still checks the unfinished work
>>> while edits are in progress, showing the errors that make no sense
>>> until the buffer is saved
>>
>> They "make sense" if you were to interpret/compile the buffer's
>> contents at that moment.  It's called fly-make for a reason ;-).
>
> I just want flymake to fly a little lower ;-)

OK, no problem.

> 1. The defcustom definition of flymake-no-changes-timeout
>    currently doesn't allow customizing its value to nil,
>    because it's type is only 'number.  It could provide
>    an option for `nil'.

A patch is welcome to to fix this.

> 2. Naming inconsistency - there are following customizable variables:
>
> (defcustom flymake-start-on-flymake-mode t
> (defcustom flymake-start-on-save-buffer t
> (defcustom flymake-start-syntax-check-on-newline t
>
> The last is unnecessary long and could be simplified to just:
>
> (defcustom flymake-start-on-newline t
>
> Please compare it with another variable already renamed with:
>
> (define-obsolete-variable-alias 'flymake-start-syntax-check-on-find-file
>   'flymake-start-on-flymake-mode "26.1")

A second patch is welcome to fix this too.  Please use obsolete variable
aliases, as you suggested.  I trust you will choose good names.

> 3. Maybe the documentation could be improved with the docstring of
> flymake-start-on-save-buffer having a hint about disabling
> flymake-no-changes-timeout?
>
> For example, etc/TODO has such entry:
>
>   ** Flymake's customization mechanism needs to be both simpler (fewer
>   levels of indirection) and better documented, so it is easier to
>   understand.  I find it quite hard to figure out what compilation
>   command it will use.

That is probably obsolete and can be erased.  My flymake.el redesign
should have taken care of that, and is documented in the Flymake info
node.  If you feel it is sufficient documentation, a third patch is
welcome to remove that TODO entry.

> 4. Also I found these related entries in the same etc/TODO file:
>
>   ** Display something in the margin on lines that have compilation
>   errors.

Flymake does this, even though it uses the fringe by default, but I
don't have more clues to what the author of this line intended.

>   ** Allow fringe indicators to display a tooltip (provide a help-echo
>   property?)

I think this is a more generic wish and is not strictly Flymake related.

> What do you think about displaying a tooltip on the fringe indicator
> with the same text that is displayed on the tooltip over the location
> of the error in the source buffer?  It's easier to hover on the fringe
> than finding the location in the buffer to hover.

I don't have any strong opinion. It's fine, I guess, but not
specifically tied to Flymake.  It may be difficult to implement.  BTW
you can use flymake-goto-next-error and flymake-goto-prev-error to
navigate between errors, it's what I use all the time.

So to summarize, it'd be great if you could provide the three patches to
implement the suggestions you gave.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 3 Feb 2019 20:49:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 03 15:49:40 2019
Received: from localhost ([127.0.0.1]:57794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqOhv-0004Dy-N8
	for submit <at> debbugs.gnu.org; Sun, 03 Feb 2019 15:49:39 -0500
Received: from ostrich.birch.relay.mailchannels.net ([23.83.209.138]:41063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gqOht-0004Dq-Pp
 for 34294 <at> debbugs.gnu.org; Sun, 03 Feb 2019 15:49:38 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A2DD3123B53;
 Sun,  3 Feb 2019 20:49:36 +0000 (UTC)
Received: from pdx1-sub0-mail-a23.g.dreamhost.com (unknown [100.96.19.74])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 2B5A0123C92;
 Sun,  3 Feb 2019 20:49:36 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a23.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Sun, 03 Feb 2019 20:49:36 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Trade-Harbor: 01847bd256aa4727_1549226976472_2594252936
X-MC-Loop-Signature: 1549226976471:3262814161
X-MC-Ingress-Time: 1549226976471
Received: from pdx1-sub0-mail-a23.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a23.g.dreamhost.com (Postfix) with ESMTP id C7C3E818CB;
 Sun,  3 Feb 2019 12:49:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=9xYmKxpw0DsLEwm8P4JDrtSwE8w=; b=
 O4QdO/dglfDOebjftlOnuOuRzaCV/oKl7/u5jvXRqIDqB9MuHf2fwbMCeBCILRAs
 22jN5g+tCy3Vt9vpSfUrDfruwBWbk2Bz0NNGMGdamZlk4z6x5DWV7vXmzFX8cdt8
 X+g+rVMt0SV1X1J8+DgiEPC7I3dcNnlNDvCwTdknhV8=
Received: from mail.jurta.org (m91-129-111-71.cust.tele2.ee [91.129.111.71])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a23.g.dreamhost.com (Postfix) with ESMTPSA id A4497818C5;
 Sun,  3 Feb 2019 12:49:34 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a23
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?Jo=E3o_T=E1vora?= <joaotavora@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
References: <87lg2x6fox.fsf@HIDDEN>
 <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
Date: Sun, 03 Feb 2019 22:42:59 +0200
In-Reply-To: <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
 (=?iso-8859-1?Q?=22Jo=E3o_T=E1vora=22's?= message of "Sat, 2 Feb 2019
 22:40:06 +0000")
Message-ID: <87h8dkk3ho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtledrkedvgddugeegucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdduuddurdejudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrdduuddurdejuddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehjohgrohhtrghvohhrrgesghhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpeef
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> I have flymake-start-on-save-buffer customized to 't' to check syntax
>> only when a buffer is saved, but it still checks the unfinished work
>> while edits are in progress, showing the errors that make no sense
>> until the buffer is saved
>
> They "make sense" if you were to interpret/compile the buffer's
> contents at that moment.  It's called fly-make for a reason ;-).

I just want flymake to fly a little lower ;-)

>> , even when flymake-start-syntax-check-on-newline
>> and flymake-start-on-flymake-mode are nil.
>> Is it possible to customize flymake to kick in only on saving?
>
> You can set flymake-no-changes-timeout to nil. See its docstring.
>
> If that works, you can probably close this bug.

Thanks, I'll try to set flymake-no-changes-timeout to nil.

Meanwhile, a few additional suggestions:

1. The defcustom definition of flymake-no-changes-timeout
   currently doesn't allow customizing its value to nil,
   because it's type is only 'number.  It could provide
   an option for `nil'.

2. Naming inconsistency - there are following customizable variables:

(defcustom flymake-start-on-flymake-mode t
(defcustom flymake-start-on-save-buffer t
(defcustom flymake-start-syntax-check-on-newline t

The last is unnecessary long and could be simplified to just:

(defcustom flymake-start-on-newline t

Please compare it with another variable already renamed with:

(define-obsolete-variable-alias 'flymake-start-syntax-check-on-find-file
  'flymake-start-on-flymake-mode "26.1")

3. Maybe the documentation could be improved with the docstring of
flymake-start-on-save-buffer having a hint about disabling
flymake-no-changes-timeout?

For example, etc/TODO has such entry:

  ** Flymake's customization mechanism needs to be both simpler (fewer
  levels of indirection) and better documented, so it is easier to
  understand.  I find it quite hard to figure out what compilation
  command it will use.

4. Also I found these related entries in the same etc/TODO file:

  ** Display something in the margin on lines that have compilation errors.

  ** Allow fringe indicators to display a tooltip (provide a help-echo property?)

What do you think about displaying a tooltip on the fringe indicator
with the same text that is displayed on the tooltip over the location
of the error in the source buffer?  It's easier to hover on the fringe
than finding the location in the buffer to hover.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at 34294 <at> debbugs.gnu.org:


Received: (at 34294) by debbugs.gnu.org; 2 Feb 2019 22:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 17:40:26 2019
Received: from localhost ([127.0.0.1]:56658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gq3xa-0008Qh-3r
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 17:40:26 -0500
Received: from mail-qk1-f178.google.com ([209.85.222.178]:38941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1gq3xX-0008QR-MQ
 for 34294 <at> debbugs.gnu.org; Sat, 02 Feb 2019 17:40:24 -0500
Received: by mail-qk1-f178.google.com with SMTP id c21so6342945qkl.6
 for <34294 <at> debbugs.gnu.org>; Sat, 02 Feb 2019 14:40:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=itt38PzITfNAXnrsLbRqgDkZMWkmC4IKd25fPUQ3yIw=;
 b=PJiWWbCeTZM5EBQV9j605V2bRD3gi8VPJDRaLDL2BE5FwX+ONuXkT8HCJ9AtjKEZk/
 4ZFr5bRz8iTuP4mdJguLjQaQlbEnZeRYNRlpYY7Xhs7ScHwHwvwWKJsCjm5UEW4tuKMk
 Qcx75KlbSZDSc9f6VnA3TRTUG2LUdpV/p9QQLypXW62k6o7+wBqbPwE9WX5QPk+PLRen
 hyNG8dsHLz1z0XopxfHFjSverbxkPogv4lx7w/50WM2FStQN6OG8r38yW68ijsjofbBp
 vf7s1NPLMsJl64xr5QpEg6DVYCuzi18hY1xkXaqc1nOXaYmi0Puj5vUQdpG3CfTCesTm
 P9Lg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=itt38PzITfNAXnrsLbRqgDkZMWkmC4IKd25fPUQ3yIw=;
 b=H9nzB+L/vov83yV6Q1+9qRfJYFf/jP09ZpJNqseXffY8H1bwBvlib6U1++ugjjuK71
 ElCgy9txyTDZe+AOhH5CM/59brU/TWYb/wdVgP7YHhtuOD9/+U5y7N1vIUlHZM69yMQX
 bb3DmHMA1VRelVOhVI/tLGTUaOvm1IkET+A3lClrGCQWpZl4a2HvPRPk0X3NWWgK028c
 QgGNu7Jy8G+I6luxAmlrdb6NFLQgQi0ujw9cq5+eX+ckrIttrcMdMIZo08HfyWolDnm2
 S8C+dhIQdxbIRLD4bD/s7BLGCscgS20T68u4QHrukfUfo+6fTWiyYlfOl8u5kxLj4waQ
 GDaA==
X-Gm-Message-State: AHQUAuZx/tOiFmnMlqGaUUq+GoDUIBQW4KucNBwb56dPTOtThYYd+9QZ
 oywifXLRrMXjCnWnfRQfsvhXjuyyD9GvpQY3NVw=
X-Google-Smtp-Source: AHgI3IbEdaFPqLO1aQQTiZ7OYbn0L2Gf9xIGTftlHEqxo6oiT06GsPBiybr+ryxXLc9BPYG1aQtyBugkNNHYG7AqrQ4=
X-Received: by 2002:a37:9c0c:: with SMTP id f12mr2570818qke.147.1549147218015; 
 Sat, 02 Feb 2019 14:40:18 -0800 (PST)
MIME-Version: 1.0
References: <87lg2x6fox.fsf@HIDDEN>
In-Reply-To: <87lg2x6fox.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sat, 2 Feb 2019 22:40:06 +0000
Message-ID: <CALDnm51vtsen=i4W_Mag62opM_9a_SSwoSHQtDA41wLBdYSq4Q@HIDDEN>
Subject: Re: bug#34294: 27.0.50; flymake-start-on-save-buffer has no effect
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34294
Cc: 34294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sat, Feb 2, 2019 at 9:33 PM Juri Linkov <juri@HIDDEN> wrote:
>
> X-Debbugs-CC: Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN>
>
> I have flymake-start-on-save-buffer customized to 't' to check syntax
> only when a buffer is saved, but it still checks the unfinished work
> while edits are in progress, showing the errors that make no sense
> until the buffer is saved

They "make sense" if you were to interpret/compile the buffer's
contents at that moment.  It's called fly-make for a reason ;-).

> , even when flymake-start-syntax-check-on-newline
> and flymake-start-on-flymake-mode are nil.
> Is it possible to customize flymake to kick in only on saving?

You can set flymake-no-changes-timeout to nil. See its docstring.

If that works, you can probably close this bug.

--=20
Jo=C3=A3o T=C3=A1vora




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Feb 2019 21:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 16:32:15 2019
Received: from localhost ([127.0.0.1]:56644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gq2tb-0006gy-Ff
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 16:32:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1gq2ta-0006gj-5V
 for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 16:32:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:51988)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1gq2tU-00035z-UB
 for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 16:32:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50083)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1gq2tU-0000SA-91
 for bug-gnu-emacs@HIDDEN; Sat, 02 Feb 2019 16:32:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1gq2tT-00035T-Mv
 for bug-gnu-emacs@HIDDEN; Sat, 02 Feb 2019 16:32:08 -0500
Received: from quail.birch.relay.mailchannels.net ([23.83.209.151]:58045)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1gq2tT-00034A-9S
 for bug-gnu-emacs@HIDDEN; Sat, 02 Feb 2019 16:32:07 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 3F2ED3E3AC7
 for <bug-gnu-emacs@HIDDEN>; Sat,  2 Feb 2019 21:32:05 +0000 (UTC)
Received: from pdx1-sub0-mail-a30.g.dreamhost.com (unknown [100.96.11.179])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id E935C3E367A
 for <bug-gnu-emacs@HIDDEN>; Sat,  2 Feb 2019 21:32:04 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a30.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Sat, 02 Feb 2019 21:32:05 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bottle-Fumbling: 7b99de332c39b2d3_1549143125021_3330295426
X-MC-Loop-Signature: 1549143125020:3923621074
X-MC-Ingress-Time: 1549143125020
Received: from pdx1-sub0-mail-a30.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a30.g.dreamhost.com (Postfix) with ESMTP id 8CDDC8015C
 for <bug-gnu-emacs@HIDDEN>; Sat,  2 Feb 2019 13:32:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=linkov.net; bh=/3bKPrSeUaXI/fTFni6
 ooLUf3sw=; b=GCXp5jArrp307l6n3sroIOMuUZVjITFXxV11PQGJP/OM2b6elM1
 cCcJOwv+8N1anp4yRGtqkmJHNiajkp33a/W9Q+9VhnrNyqFQi1IZRFrkq2LmknA2
 6bfAv5RZr+h94oNKW2IkNEfDTMBuDkLDf6lEJ61t4xki7Zc20k4jUWok=
Received: from mail.jurta.org (m91-129-111-71.cust.tele2.ee [91.129.111.71])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a30.g.dreamhost.com (Postfix) with ESMTPSA id 596868014A
 for <bug-gnu-emacs@HIDDEN>; Sat,  2 Feb 2019 13:32:02 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a30
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; flymake-start-on-save-buffer has no effect
Organization: LINKOV.NET
Date: Sat, 02 Feb 2019 23:30:54 +0200
Message-ID: <87lg2x6fox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtledrkedtgdduheegucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffuohffkfgfgggtgfesthekredttderudenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdduuddurdejudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrdduuddurdejuddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.209.151
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

X-Debbugs-CC: Jo=E3o T=E1vora <joaotavora@HIDDEN>

I have flymake-start-on-save-buffer customized to 't' to check syntax
only when a buffer is saved, but it still checks the unfinished work
while edits are in progress, showing the errors that make no sense
until the buffer is saved, even when flymake-start-syntax-check-on-newlin=
e
and flymake-start-on-flymake-mode are nil.

Is it possible to customize flymake to kick in only on saving?




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to joaotavora@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to joaotavora@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#34294; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Mar 2019 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.